% 0 - Format of the output
clevel = 0.05; % confidence level of test for not-rejecting rationality

% 1 - Das-Dominitz-Soest Unconditional Tests
[prob_v_cond_pmaxq1] = Prob_outcomes_condY1(pmax82q1_rec, mark_math82q1); % Probability matrix of Outcomes given Parents' Expectations
% Students
[p_maexpf_kudo2] = DDS_mode_test(maexpf82_rec, mark_math82q1);
% Median Interval (first one is traditional DDS test)
[p_joint_maexpf_kudo] = DDS_quantile_test(maexpf82_rec, mark_math82q1, 0.50);
[p_joint_maexpf_kudo2] = DDS_quantile_test(maexpf82_rec, mark_math82q1, 0.51);
%   % Parents % Mode and Median  %
[p_pmaxq1_kudo2] = DDS_mode_test(pmax82q1_rec, mark_math82q1);
[p_joint_pmaxq1_kudo] = DDS_quantile_test(pmax82q1_rec, mark_math82q1, 0.50);
[p_joint_pmaxq1_kudo2] = DDS_quantile_test(pmax82q1_rec, mark_math82q1, 0.51);

% 2 - Das-Dominitz-Soest Tests (conditional on mark of last quarter)
warning off all;  % Eliminates the annoying warnings when calculations for condition last_mark=j, guess=k have no obs 
% Students (Mode, Median and Interval of Non-rejected quantiles)
[p_maexpf_lastqr] = DDS_mode_test_condX(maexpf82_rec, mark_math82q1, mark_math82q4lag);
[p_maexpf_lastqr2] = DDS_mode_test_condX(maexpf82_rec, mark_math82q1, median_math_allpqrs_fall);
[p_joint_maexpf_lqr] = DDS_quantile_test_condX(maexpf82_rec, mark_math82q1, mark_math82q4lag, 0.50);
[p_joint_maexpf_lqr2] = DDS_quantile_test_condX(maexpf82_rec, mark_math82q1, median_math_allpqrs_fall, 0.50);
% Parents (Mode, Median and Interval of Non-rejected quantiles)
[p_pmaxq1_lastqr] = DDS_mode_test_condX(pmax82q1_rec, mark_math82q1, mark_math82q4lag);
[p_pmaxq1_lastqr2] = DDS_mode_test_condX(pmax82q1_rec, mark_math82q1, median_math_allpqrs_fall);
[p_joint_pmaxq1_lqr] = DDS_quantile_test_condX(pmax82q1_rec, mark_math82q1, mark_math82q4lag, 0.50);
[p_joint_pmaxq1_lqr2] = DDS_quantile_test_condX(pmax82q1_rec, mark_math82q1, median_math_allpqrs_fall, 0.50);
warning on all; 
