set more off
global pathD "E:\Papers in submission 2016\"

use "$pathD\\data_bss7_vs3.dta", clear
sum mom_educ_6 mom_educ8 mom_yrs_edu if mom_educ_6==. & year==1982
sum *edu*
sum *math*q1* *math*q2* *math*q3* *math*q4*
g letter_mark_math_fall_both=mark_math82q1
g letter_mark_math_q2_both=mark_math82q2
g letter_mark_math_q3_both=mark_math82q3
g letter_mark_math_spring_both=mark_math82q4
 
// Create Table 1.1
tab race  // 0=White or Caucasian, 1=Black or African-American
tab sex // 0=Male, 1=Female  
tab race sex if year==1982 //184 White males, 193 white females, 235 African American males, 226 African American females
g dad0_age_at_bi = dad_age_at_bi
g age0_mom_bi = age_mom_bi
recode dad0_age_at_bi age0_mom_bi (10/19=1) (20/25=2) (26/30=3) (31/35=4) (36/53=5)
tab age0_mom_bi if year==1982
tab age0_mom_bi if year==1982 & race==1
tab dad0_age_at_bi if year==1982
tab dad0_age_at_bi if year==1982 & race==1

tab mom_educ_6c if year==1982
tab mom_educ_6c if year==1982 & race==1
tab dad_educ6c if year==1982
tab dad_educ6c if year==1982 & race==1
save "$pathD\\data_bss7_work.dta", replace

use "$pathD\\data_bss7_work.dta", clear
recode dad0_age_at_bi age0_mom_bi mom_educ_6c dad_educ6c (.=99) // Show missing values
tab age0_mom_bi if year==1982
tab age0_mom_bi if year==1982 & race==1
tab dad0_age_at_bi if year==1982
tab dad0_age_at_bi if year==1982 & race==1
tab mom_educ_6c if year==1982
tab mom_educ_6c if year==1982 & race==1
tab dad_educ6c if year==1982
tab dad_educ6c if year==1982 & race==1
recode dad0_age_at_bi age0_mom_bi mom_educ_6c dad_educ6c (99=.)


// Create Table 1.2
sum letter_mark_math_*both
tab letter_mark_math_fall_both if year<=1989
tab letter_mark_math_q2_both  if year<=1989
tab letter_mark_math_q3_both  if year<=1989
tab letter_mark_math_spring_both  if year<=1989 

tab letter_mark_math_fall_both if year<=1990
tab letter_mark_math_spring_both  if year<=1990 
tab letter_mark_math_fall_both if year==1982
tab letter_mark_math_spring_both  if year==1982

recode letter_mark_math_*both (.=99)  // Show missing values
tab letter_mark_math_fall_both if year<=1989
tab letter_mark_math_q2_both  if year<=1989
tab letter_mark_math_q3_both  if year<=1989
tab letter_mark_math_spring_both  if year<=1989 

tab letter_mark_math_fall_both if year<=1990
tab letter_mark_math_spring_both  if year<=1990 
tab letter_mark_math_fall_both if year==1982
tab letter_mark_math_spring_both  if year==1982
recode letter_mark_math_*both (99=.)

// Create Table 1.3 - can also be obtained from the document "Computer processing documentation" in the BSS original data
g stud_exp_wageallq1=stud_exp_wageall
sum maexp* if year<=1992
sum pmax82q1_rec prdx82q1_rec if year<=1991
sum prdx92q4_rec pmax92q4_rec if year==1992
sum par_yrseduc_exp stud_yrseduc_exps_fall stud_yrseduc_exps_spr stud_yrseduc_asp if year==1992
sum stud_yrseduc_exps_fall stud_yrseduc_exps_spr stud_yrseduc_asp if year==1993
sum stud_yrseduc_exps_fall stud_yrseduc_exps_spr stud_yrseduc_asp if year>=1994

egen Stud_miss_expsF = rowmax(maexpf82_rec rdexpf82_rec enexpf* scexpf* stud_yrseduc_exps_fall stud_exp_wageallq1)
replace Stud_miss_expsF = (Stud_miss_expsF==.)
g Stud_miss_MathF = (maexpf82_rec==.)
g Stud_miss_EnglishF = (rdexpf82_rec==. & enexpf89_rec==.)
g Stud_miss_MathS = (maexps83_rec==.)
g Stud_miss_EnglishS = (rdexps83_rec==. & enexps90_rec==.)
egen Stud_miss_expsS = rowmax(maexps83_rec rdexps83_rec enexps* scexps* stud_yrseduc_exps_spr stud_exp_wageallq4)
replace Stud_miss_expsS = (Stud_miss_expsS==.)
egen Par_miss_exps = rowmax(pmax82q1_rec prdx82q1_rec penx89q1* prdx92q4_rec pmax92q4_rec par_yrseduc_exp)
replace Par_miss_exps = (Par_miss_exps==.)
egen Par_miss_Math = rowmax(pmax82q1_rec pmax92q4_rec)
replace Par_miss_Math = (Par_miss_Math==.)
egen Par_miss_Read = rowmax(prdx82q1_rec penx89q1* prdx92q4_rec)
replace Par_miss_Read = (Par_miss_Read==.)
bysort year: sum Stud_miss_expsS Stud_miss_MathS Stud_miss_EnglishS  // year 1989 is special due to LostKids and LostParents, sum Stud_miss_expsS if year==1989 & students_89_2==1
save "$pathD\\data_bss7_work.dta", replace
drop if year>1992
bysort year: sum Par_miss_exps //sum Par_miss_exps if year==1989 & parents_89_2==1
drop if year>1990
bysort year: sum Stud_miss_expsF Stud_miss_MathF Stud_miss_EnglishF //sum Stud_miss_expsF if year==1989 & students_89_2==1
use "$pathD\\data_bss7_work.dta", clear
collapse Stud_miss_* Par_miss_*, by(year)
export excel using "$pathD\\stud_par_miss.xls", firstrow(variables) nolabel replace
 
// Create Table 2
use "$pathD\\data_bss7_work.dta", clear
tab pmax82q1_rec if year==1982
tab pmax82q1_rec if year<=1990
tab maexpf82_rec if year==1982
tab maexpf82_rec if year<=1990
recode pmax82q1_rec maexpf82_rec  (.=99)  // Show missing values
tab pmax82q1_rec if year==1982
tab pmax82q1_rec if year<=1990
tab maexpf82_rec if year==1982
tab maexpf82_rec if year<=1990
recode pmax82q1_rec maexpf82_rec  (99=.)  

// Create Table 3 error_trdex83q1 error_tmaex83q1 error_pmax82q1 error_prdx82q1 error_maexpf82 error_maexps83 error_rdexpf82 error_rdexps83 error_pmax82q1_2 error_prdx82q1_2
sum pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83
recode trdexs83 tmaexs83 tmaxs88m tmaxs88v trdxs88m trdxs88v (8=.)
sum trdexs83 tmaexs83 tmaxs88m tmaxs88v trdxs88m trdxs88v
xtset id year
g Lmark_read82q1 = L.mark_read82q4
g Fmark_read82q1 = F.mark_read82q1
g Lmark_math82q1 = L.mark_math82q4
g Fmark_math82q1 = F.mark_math82q1 
sum mark_math82q4lag Lmark_math82q1 // same variables
g e_math_medianq1 = median_math_allpqrs_fall-mark_math82q1
g e_math_medianq4 = median_math_allpqrs_spr-mark_math82q4
g e_math_Lq1 = Lmark_math82q1-mark_math82q1
g e_math_Lq4 = mark_math82q3-mark_math82q4
g e_read_medianq1 = median_read_allpqrs_fall-mark_read82q1
g e_read_medianq4 = median_read_allpqrs_spr-mark_read82q4
g e_read_Lq1 = Lmark_read82q1-mark_read82q1
g e_read_Lq4 = mark_read82q3-mark_read82q4

g e_tmaexs83 = tmaexs83-Fmark_math82q1 // Teacher expectations for Math (errors)
g e_tmaxs88m = tmaxs88m-Fmark_math82q1
g e_tmaxs88v = tmaxs88v-Fmark_math82q1
g e_trdexs83 = trdexs83-Fmark_read82q1 // Teacher expectations for Reading (errors)
g e_trdxs88m = trdxs88m-Fmark_read82q1
g e_trdxs88v = trdxs88v-Fmark_read82q1

g e_pmax82q1 = pmax82q1-mark_math82q1 //Parents and Students (errors)
g e_maexpf82 = maexpf82-mark_math82q1
g e_prdx82q1 = prdx82q1-mark_read82q1
g e_rdexpf82 = rdexpf82-mark_read82q1
g e_maexps83 = maexps83-mark_math82q4 
g e_rdexps83 = rdexps83-mark_read82q4 
recode e_* (-3/-1=-1) (2/4=2)
xtset id year
save "$pathD\\data_bss7_work.dta", replace
foreach var of varlist e_* { 
g L_`var'=L.`var' //tab L_`var' `var' if year<=1990, row nofreq //year<=1989 Columns of 0 in current period correspond to lines in Table 3
g Pright_`var'=(`var'==0) if `var'<.
} 
//tab e_maexpf82 e_maexps83 if year<=1990, row nofreq //year<=1989 //tab e_rdexpf82 e_rdexps83 if year<=1990, row nofreq //year<=1989
putexcel A1=("Prob error=0 given t-1") B1=("-1") C1=("0") D1=("1") E1=("2") using "$pathD\\cond_probs.xls", sheet("Hoja1") replace
local k=2
foreach var of varlist e_pmax82q1 e_prdx82q1 e_maexpf82 e_rdexpf82 e_maexps83 e_rdexps83 e_math_medianq1 e_read_medianq1 e_math_medianq4 e_read_medianq4 { 
putexcel A`k'=("`var'") using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum Pright_`var' if L_`var'==-1
putexcel B`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum Pright_`var' if L_`var'==0
putexcel C`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum Pright_`var' if L_`var'==1
putexcel D`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum Pright_`var' if L_`var'==2
putexcel E`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
local k=1+`k'
} 
local var1 = "e_maexpf82"
local var2 = "Pright_e_maexps83"
putexcel A`k'=("`var1' to `var2'") using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==-1
putexcel B`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==0
putexcel C`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==1
putexcel D`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==2
putexcel E`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
local k=1+`k'
local var1 = "e_rdexpf82"
local var2 = "Pright_e_rdexps83"
putexcel A`k'=("`var1' to `var2'") using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==-1
putexcel B`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==0
putexcel C`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==1
putexcel D`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==2
putexcel E`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
local k=1+`k'
local var1 = "e_math_medianq1"
local var2 = "Pright_e_math_medianq4"
putexcel A`k'=("`var1' to `var2'") using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==-1
putexcel B`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==0
putexcel C`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==1
putexcel D`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==2
putexcel E`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
local k=1+`k'
local var1 = "e_read_medianq1"
local var2 = "Pright_e_read_medianq4"
putexcel A`k'=("`var1' to `var2'") using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==-1
putexcel B`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==0
putexcel C`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==1
putexcel D`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
sum `var2' if `var1'==2
putexcel E`k'=(round(100*r(mean),0.1)) using "$pathD\\cond_probs.xls", sheet("Hoja1") modify
local k=1+`k'
sum median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr

// Table 5.1 and Table 5.2
// Table 5.1 (Unit Loss)
foreach var of varlist e_* { 
g UL_`var'= (`var'==0) if `var'<.
}
g UL_Le_tmaexs83 = L.UL_e_tmaexs83
g UL_Le_tmaxs88m = L.UL_e_tmaxs88m
g UL_Le_tmaxs88v = L.UL_e_tmaxs88v
sum UL_*
sum UL_e_math_medianq1 UL_e_pmax82q1 UL_e_maexpf82 UL_e_tmaexs83 UL_e_tmaxs88m UL_e_tmaxs88v
foreach var of varlist UL_e_math_medianq1 UL_e_pmax82q1 UL_e_maexpf82 UL_Le_tmaexs83 UL_Le_tmaxs88m UL_Le_tmaxs88v { 
ttest UL_e_math_medianq1 = `var' //similar results with ztest
}
ttest UL_e_math_medianq4=UL_e_maexps83 
g UL_Le_trdexs83 = L.UL_e_trdexs83  
g UL_Le_trdxs88m = L.UL_e_trdxs88m
g UL_Le_trdxs88v = L.UL_e_trdxs88v
foreach var of varlist UL_e_read_medianq1 UL_e_prdx82q1 UL_e_rdexpf82 UL_Le_trdexs83 UL_Le_trdxs88m UL_Le_trdxs88v { 
ttest UL_e_read_medianq1 = `var' //similar results with ztest
}
ttest UL_e_read_medianq4=UL_e_rdexps83

// Table 5.2 (Absolute Loss)
local vlist = "Lmark_math82q1 Fmark_math82q1 mark_math82q1 Lmark_read82q1 Fmark_read82q1 mark_read82q1 mark_math82q4 mark_math82q3 mark_read82q4 mark_read82q3"
local vlist = "`vlist' trdexs83 tmaexs83 tmaxs88m tmaxs88v trdxs88m trdxs88v"
local vlist = "`vlist' pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83"
local vlist = "`vlist' median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr"
foreach var of varlist `vlist' { 
g A_`var'=`var' 
}
recode A_* (1=60) (2=75) (3=85) (4=95)
g AL_math_medianq1 = A_mark_math82q1 - A_median_math_allpqrs_fall
g AL_math_medianq4 = A_mark_math82q4 - A_median_math_allpqrs_spr
g AL_math_Lq1 = A_mark_math82q1 - A_Lmark_math82q1
g AL_math_Lq4 = A_mark_math82q4 - A_mark_math82q3
g AL_read_medianq1 = A_mark_read82q1 - A_median_read_allpqrs_fall
g AL_read_medianq4 = A_mark_read82q4 - A_median_read_allpqrs_spr
g AL_read_Lq1 = A_mark_read82q1 - A_Lmark_read82q1
g AL_read_Lq4 = A_mark_read82q4 - A_mark_read82q3

g AL_tmaexs83 = A_tmaexs83-A_Fmark_math82q1 // Teacher expectations for Math (errors)
g AL_tmaxs88m = A_tmaxs88m-A_Fmark_math82q1
g AL_tmaxs88v = A_tmaxs88v-A_Fmark_math82q1
g AL_trdexs83 = A_trdexs83-A_Fmark_read82q1 // Teacher expectations for Reading (errors)
g AL_trdxs88m = A_trdxs88m-A_Fmark_read82q1
g AL_trdxs88v = A_trdxs88v-A_Fmark_read82q1

g AL_pmax82q1 = A_pmax82q1-A_mark_math82q1 //Parents and Students (errors)
g AL_maexpf82 = A_maexpf82-A_mark_math82q1
g AL_prdx82q1 = A_prdx82q1-A_mark_read82q1
g AL_rdexpf82 = A_rdexpf82-A_mark_read82q1
g AL_maexps83 = A_maexps83-A_mark_math82q4 
g AL_rdexps83 = A_rdexps83-A_mark_read82q4 
foreach var of varlist AL_* { 
replace `var'=abs(`var')
}
sum AL_*

g AL_L_tmaexs83 = L.AL_tmaexs83
g AL_L_tmaxs88m = L.AL_tmaxs88m
g AL_L_tmaxs88v = L.AL_tmaxs88v
sum AL_math_medianq1 AL_pmax82q1 AL_maexpf82 AL_tmaexs83 AL_tmaxs88m AL_tmaxs88v
foreach var of varlist AL_math_medianq1 AL_pmax82q1 AL_maexpf82 AL_L_tmaexs83 AL_L_tmaxs88m AL_L_tmaxs88v { 
ttest AL_math_medianq1 = `var' //similar results with ztest
}
ttest AL_math_medianq4=AL_maexps83 
g AL_L_trdexs83 = L.AL_trdexs83  
g AL_L_trdxs88m = L.AL_trdxs88m
g AL_L_trdxs88v = L.AL_trdxs88v
foreach var of varlist AL_read_medianq1 AL_prdx82q1 AL_rdexpf82 AL_L_trdexs83 AL_L_trdxs88m AL_L_trdxs88v { 
ttest AL_read_medianq1 = `var' //similar results with ztest
}
ttest AL_read_medianq4=AL_rdexps83

// Table 2.3: Test characteristics of parents / students with non-missing data versus those with missing data

// Parents: Math Q1 missing versus non-missing
bysort id: egen nr_pmax = count(pmax82q1_rec)
sum nr_pmax 
g miss_Mpars = (nr_pmax<r(max)-1)
g L_pmax82q1_rec = L.pmax82q1_rec
g Lmiss_Mpars = (L_pmax82q1_rec==. & miss_Mpars==1 & year!=1986 & year!=1988)
ttest mom_yrs_ed if year==1982, by(miss_Mpars)
ttest age_mom_bi if year==1982, by(miss_Mpars)
ttest dad_yrs_ed if year==1982, by(miss_Mpars)
ttest dad_age_at_bi if year==1982, by(miss_Mpars)

ttest pmax82q1_rec, by(miss_Mpars) //ttest pmax82q1_rec, by(Lmiss_Mpars)
ttest A_pmax82q1_rec, by(miss_Mpars)
ttest A_pmax82q1_rec, by(Lmiss_Mpars)
ttest A_maexpf82_rec, by(miss_Mpars)
ttest A_prdx82q1_rec, by(miss_Mpars) 
ttest A_rdexpf82_rec, by(miss_Mpars)

ttest A_pmax82q1_rec if year==1990, by(miss_Mpars)
ttest A_maexpf82_rec if year==1990, by(miss_Mpars)
ttest A_prdx82q1_rec if year==1990, by(miss_Mpars) 
ttest A_rdexpf82_rec if year==1990, by(miss_Mpars)
tab miss_Mpars if year==1982

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(miss_Mpars)
ologit pmax82q1_rec i.(median_math_allpqrs_fall miss_Mpars)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(miss_Mpars year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(miss_Mpars year)
ologit pmax82q1_rec i.(median_math_allpqrs_fall miss_Mpars year)
ologit prdx82q1_rec i.(median_read_allpqrs_fall miss_Mpars year)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(Lmiss_Mpars year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(Lmiss_Mpars year)
ologit pmax82q1_rec i.(median_math_allpqrs_fall Lmiss_Mpars year)
ologit prdx82q1_rec i.(median_read_allpqrs_fall Lmiss_Mpars year)

// Students - Math Q1 missing versus non-missing
bysort id: egen nr_smax = count(maexpf82_rec)
sum nr_smax 
g miss_Mstuds = (nr_smax<r(max)-1)
g L_maexpf82_rec = L.maexpf82_rec
g Lmiss_Mstuds = (L_maexpf82_rec==. & miss_Mstuds==1 & year!=1986)
ttest mom_yrs_ed if year==1982, by(miss_Mstuds)
ttest age_mom_bi if year==1982, by(miss_Mstuds)
ttest dad_yrs_ed if year==1982, by(miss_Mstuds)
ttest dad_age_at_bi if year==1982, by(miss_Mstuds)

ttest maexpf82_rec, by(miss_Mstuds)
ttest maexpf82_rec, by(Lmiss_Mstuds)
ttest A_maexpf82_rec, by(miss_Mstuds)
ttest A_maexpf82_rec, by(Lmiss_Mstuds)

ttest A_pmax82q1_rec, by(miss_Mstuds)
ttest A_prdx82q1_rec, by(miss_Mstuds) 
ttest A_rdexpf82_rec, by(miss_Mstuds)
ttest A_pmax82q1_rec if year==1990, by(miss_Mstuds)
ttest A_maexpf82_rec if year==1990, by(miss_Mstuds)
ttest A_prdx82q1_rec if year==1990, by(miss_Mstuds) 
ttest A_rdexpf82_rec if year==1990, by(miss_Mstuds)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(miss_Mpars year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(miss_Mpars year)
reg A_maexpf82_rec A_median_math_allpqrs_fall i.(miss_Mpars year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(miss_Mpars year)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(Lmiss_Mpars year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(Lmiss_Mpars year)
reg A_maexpf82_rec A_median_math_allpqrs_fall i.(Lmiss_Mpars year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(Lmiss_Mpars year)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(miss_Mstuds year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(miss_Mstuds year)
reg A_maexpf82_rec A_median_math_allpqrs_fall i.(miss_Mstuds year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(miss_Mstuds year)

reg A_pmax82q1_rec A_median_math_allpqrs_fall i.(Lmiss_Mstuds year)
reg A_prdx82q1_rec A_median_read_allpqrs_fall i.(Lmiss_Mstuds year)
reg A_maexpf82_rec A_median_math_allpqrs_fall i.(Lmiss_Mstuds year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(Lmiss_Mstuds year)

tab miss_Mstuds if year==1982
reg A_maexpf82_rec A_median_math_allpqrs_fall i.(miss_Mstuds)
ologit maexpf82_rec i.(median_math_allpqrs_fall miss_Mstuds)

reg A_maexpf82_rec A_median_math_allpqrs_fall i.(miss_Mstuds year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(miss_Mstuds year)
ologit maexpf82_rec i.(median_math_allpqrs_fall miss_Mstuds year)
ologit rdexpf82_rec i.(median_read_allpqrs_fall miss_Mstuds year)

reg A_maexpf82_rec A_median_math_allpqrs_fall i.(Lmiss_Mstuds year)
reg A_rdexpf82_rec A_median_read_allpqrs_fall i.(Lmiss_Mstuds year)
ologit maexpf82_rec i.(median_math_allpqrs_fall Lmiss_Mstuds year)
ologit rdexpf82_rec i.(median_read_allpqrs_fall Lmiss_Mstuds year)
save "$pathD\\data_bss7_work.dta", replace
collapse UL_* AL_*, by(year)
foreach var of varlist UL_* { 
replace `var' = 100*`var'
}
tsset year

// Figure 1 - Mode Loss for Math and Reading
label var UL_e_math_medianq1 "Median Q1"
label var UL_e_math_medianq4 "Median Q4"
label var UL_e_pmax82q1 "Parents Q1"
label var UL_e_maexpf82 "Students Q1"
label var UL_e_maexps83 "Students Q4"
tsline UL_e_math_medianq1 UL_e_math_medianq4 UL_e_pmax82q1 UL_e_maexpf82 UL_e_maexps83 if year<=1992, ///
saving(graph1, replace) ylabel(, nogrid) ylabel(0.20(0.10) 0.70) ytick(0.20(0.05)0.75) xlabel(1982(1)1992) xtick(1982(1)1992) legend(cols(3) span  forcesize) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-") graphregion(color(white) margin(small)) ///
xtitle("Year") title("Math") //subtitle("% of correct guesses") //title("Mean Prediction Success for Math in 1982-92")

label var UL_e_read_medianq1 "Median Q1"
label var UL_e_read_medianq4 "Median Q4"
label var UL_e_prdx82q1 "Parents Q1"
label var UL_e_rdexpf82 "Students Q1"
label var UL_e_rdexps83 "Students Q4"
tsline UL_e_read_medianq1 UL_e_read_medianq4 UL_e_prdx82q1 UL_e_rdexpf82 UL_e_rdexps83 if year<=1990, ///
saving(graph2, replace) ylabel(, nogrid) ylabel(0.20(0.10) 0.70) ytick(0.20(0.05)0.75) xlabel(1982(1)1990) xtick(1982(1)1990) legend(cols(3) span  forcesize) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-") graphregion(color(white) margin(small)) ///
xtitle("Year") title("English/Reading") //subtitle("% of correct guesses") //title("Mean Prediction Success for English/Reading")

tsline UL_e_read_medianq1 UL_e_read_medianq4 UL_e_prdx82q1 UL_e_rdexpf82 UL_e_rdexps83 if year<=1990, ///
saving(graph12, replace) ylabel(, nogrid) ylabel(0.20(0.10) 0.70) ytick(0.20(0.05)0.75) xlabel(1982(1)1990) xtick(1982(1)1990) legend(off) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-") graphregion(color(white) margin(small)) ///
xtitle("Year") title("English/Reading") //subtitle("% of correct guesses") //title("Mean Prediction Success for English/Reading")

graph combine graph1.gph graph2.gph, ysize(4.4) xsize(9.5) imargin(0 0 0 0) graphregion(color(white) margin(vsmall)) 
graph export "$pathD\\Mean_UL_mathenglish.emf", replace

// Figure 2 - Absolute Loss for Math and Reading
label var AL_math_medianq1 "Median Q1"
label var AL_math_medianq4 "Median Q4"
label var AL_pmax82q1 "Parents Q1"
label var AL_maexpf82 "Students Q1"
label var AL_maexps83 "Students Q4"
tsline AL_math_medianq1 AL_math_medianq4 AL_pmax82q1 AL_maexpf82 AL_maexps83 if year<=1992, ///
saving(graph1, replace) ylabel(, nogrid) xlabel(1982(1)1992) xtick(1982(1)1992) legend(cols(3) span  forcesize) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-") graphregion(color(white) margin(small)) ///
xtitle("Year") title("Math") //title("Mean Absolute Mid-point Loss for Math")

tsline AL_math_medianq1 AL_math_medianq4 AL_pmax82q1 AL_maexpf82 AL_maexps83 if year<=1992, ///
saving(graph21, replace) ylabel(, nogrid) xlabel(1982(1)1992) xtick(1982(1)1992) legend(off) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-") graphregion(color(white) margin(small)) ///
xtitle("Year") title("Math") //title("Mean Absolute Mid-point Loss for Math")

label var AL_read_medianq1 "Median Q1"
label var AL_read_medianq4 "Median Q4"
label var AL_prdx82q1 "Parents Q1"
label var AL_rdexpf82 "Students Q1"
label var AL_rdexps83 "Students Q4"
tsline AL_read_medianq1 AL_read_medianq4 AL_prdx82q1 AL_rdexpf82 AL_rdexps83 if year<=1990, ///
saving(graph2, replace) ylabel(, nogrid) xlabel(1982(1)1990) xtick(1982(1)1990) legend(cols(3) span  forcesize) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-")  graphregion(color(white) margin(small)) ///
xtitle("Year") title("English/Reading") //title("Mean Absolute Mid-point Loss for English/Reading")

tsline AL_read_medianq1 AL_read_medianq4 AL_prdx82q1 AL_rdexpf82 AL_rdexps83 if year<=1990, ///
saving(graph22, replace) ylabel(, nogrid) xlabel(1982(1)1990) xtick(1982(1)1990) legend(off) ///
lwidth(medthick medthick medthick medthick medthick) ///
lp("l" "l" "_" "_" "-"  "-")  graphregion(color(white) margin(small)) ///
xtitle("Year") title("English/Reading") //title("Mean Absolute Mid-point Loss for English/Reading")

graph combine graph1.gph graph2.gph, ysize(4.4) xsize(9.5) imargin(0 0 0 0) graphregion(color(white) margin(vsmall)) 
graph export "$pathD\\Mean_midpoint_mathenglish.emf", replace
graph combine graph1.gph graph12.gph graph21.gph graph22.gph, ysize(8.8) xsize(9.5) imargin(0 0 0 0) graphregion(color(white) margin(vsmall)) 
graph export "$pathD\\Time_exps_mathenglish.emf", replace

// Some Regressions of why expectations matter
use "$pathD\\data_bss7_work.dta", clear
//timemf87 (time doing homework) 0 - nothing, 10 mins 20 mins 30 mins, more than 30mins, 8 - missing
//prdstr82 (time spent reading) 0 - nothing 10 mins 20 mins 30 mins 1 hour, more than 1 hour
sum timemf87 timeef89 timemas86 timees90 timeos86
foreach var of varlist time* { 
g `var'_vs0=`var' if `var'<8
}
recode time*_vs0 (0=0) (1=10) (2=20) (3=30) (4=45)
g timePR82_vs2 = prdstr82 if prdstr82<8
recode timePR82_vs2 (0=0) (1=10) (2=20) (3=30) (4=60) (5=90)
g timemf87_vs2 = timemf87_vs0
g timemas86_vs2 = timemas86_vs0
egen timeef89_vs2 = rowtotal(timeef89_vs0 timerf87_vs0), missing
egen timees90_vs2 = rowtotal(timerds86_vs0 timees90_vs0), missing
egen timeof87_vs2 = rowtotal(timeof87_vs0 timess94_vs0), missing
egen timeos86_vs2 = rowtotal(timeos86_vs0 timess94_vs0), missing
drop time*_vs0
sum time*_vs2

// (Regressions with contemporary errors in math and english predictions, instead of past errors)
// Without year dummies
// With year dummies
// Math - Q1
reg timemf87_vs2 UL_e_pmax82q1 UL_e_maexpf82 A_median_math_allpqrs_fall i.(year) // remember here 1 = correct guess
reg timemf87_vs2 UL_e_pmax82q1 A_median_math_allpqrs_fall i.(year)
reg timemf87_vs2 UL_e_maexpf82 A_median_math_allpqrs_fall i.(year)
reg timemf87_vs2 AL_pmax82q1 AL_maexpf82 A_median_math_allpqrs_fall i.(year)
reg timemf87_vs2 AL_pmax82q1 A_median_math_allpqrs_fall i.(year)
reg timemf87_vs2 AL_maexpf82 A_median_math_allpqrs_fall i.(year)
// Math - Q4
reg timemas86_vs2 UL_e_pmax82q1 A_median_math_allpqrs_spr i.(year)
reg timemas86_vs2 UL_e_maexps83 A_median_math_allpqrs_spr i.(year)
reg timemas86_vs2 AL_pmax82q1 A_median_math_allpqrs_spr i.(year)
reg timemas86_vs2 AL_maexps83 A_median_math_allpqrs_spr i.(year)
// English - Q1
reg timeef89_vs2 UL_e_prdx82q1 UL_e_rdexpf82 A_median_read_allpqrs_fall i.(year)
reg timeef89_vs2 UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
reg timeef89_vs2 UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
reg timeef89_vs2 AL_prdx82q1 AL_rdexpf82 A_median_read_allpqrs_fall i.(year)
reg timeef89_vs2 AL_prdx82q1 A_median_read_allpqrs_fall i.(year)
reg timeef89_vs2 AL_prdx82q1 A_median_read_allpqrs_fall i.(year)
//English Q4
reg timees90_vs2 UL_e_prdx82q1 A_median_read_allpqrs_spr i.(year)
reg timees90_vs2 UL_e_rdexps83 A_median_read_allpqrs_spr i.(year)
reg timees90_vs2 AL_prdx82q1 A_median_read_allpqrs_spr i.(year)
reg timees90_vs2 AL_rdexps83 A_median_read_allpqrs_spr i.(year)


// Using Past Prediction Success (since both grades and prediction error at the end of the quarter are endogenous to study time)
foreach var of varlist AL_* UL_e*  { 
g M_`var' = .
forv k=1983/1994 { 
g var00 = `var' if year<`k'
bysort id: egen var0 = mean(var00) //mean(`var')
bysort id: egen var000 = mean(`var') //mean(`var')
replace M_`var' = var0 if year==`k' //replace M_`var' = var000 if year==`k' & M_`var'==.
drop var0 var00 var000
}
}
/*rename M_UL_e_maexpf82 M0_UL_e_maexpf82
rename M_AL_pmax82q1 M0_AL_pmax82q1
bysort id: egen M_UL_e_maexpf82 = mean(UL_e_maexpf82)
bysort id: egen M_AL_pmax82q1 = mean(AL_pmax82q1)*/
//  //
foreach var of varlist e_* { // Good predictors and conservative ones measure
g var000 = (`var'<=0) if `var'<.
g OM_UL_`var'= .
forv k=1983/1994 { 
g var00 = var000 if year<`k'
bysort id: egen var0 = mean(var00) //mean(`var')
replace OM_UL_`var' = var0 if year==`k'
drop var0 var00 
}
drop var000
}
//  //
//Time spent reading stories to your child (only in 1982, 1983)
reg timePR82_vs2 UL_e_prdx82q1 UL_e_pmax82q1 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", replace
reg timePR82_vs2 UL_e_prdx82q1 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 UL_e_pmax82q1  i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 AL_prdx82q1 AL_pmax82q1 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 AL_prdx82q1 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 AL_pmax82q1 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 UL_e_prdx82q1 UL_e_pmax82q1 mom_yrs_educ2 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 UL_e_prdx82q1  mom_yrs_educ2 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 AL_prdx82q1 AL_pmax82q1 mom_yrs_educ2 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 AL_prdx82q1 mom_yrs_educ2 i.(year)
outreg2 using "$pathD\\time_reading_regs.xls", append
 

// With year dummies
// Math - Q1
reg timemf87_vs2 M_UL_e_pmax82q1 M_UL_e_maexpf82 A_median_math_allpqrs_fall i.(year) // remember here 1 = correct guess
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", replace
reg timemf87_vs2 M_UL_e_pmax82q1 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", append
reg timemf87_vs2 M_UL_e_maexpf82 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", append
reg timemf87_vs2 M_AL_pmax82q1 M_AL_maexpf82 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", append
reg timemf87_vs2 M_AL_pmax82q1 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", append
reg timemf87_vs2 M_AL_maexpf82 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", append
// Math - Q4
reg timemas86_vs2 M_UL_e_pmax82q1 M_UL_e_maexps83 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", replace
reg timemas86_vs2 M_UL_e_pmax82q1 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", append
reg timemas86_vs2 M_UL_e_maexps83 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", append
reg timemas86_vs2 M_AL_pmax82q1 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", append
reg timemas86_vs2 M_AL_pmax82q1 M_AL_maexps83 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", append
reg timemas86_vs2 M_AL_maexps83 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", append
// English - Q1
reg timeef89_vs2 M_UL_e_prdx82q1 M_UL_e_rdexpf82 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", replace
reg timeef89_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", append
reg timeef89_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", append
reg timeef89_vs2 M_AL_prdx82q1 M_AL_rdexpf82 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", append
reg timeef89_vs2 M_AL_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", append
reg timeef89_vs2 M_AL_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_regs_readq1_yrd.xls", append
//English Q4
reg timees90_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_readq4_yrd.xls", replace
reg timees90_vs2 M_UL_e_rdexps83 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_readq4_yrd.xls", append
reg timees90_vs2 M_AL_prdx82q1 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_readq4_yrd.xls", append
reg timees90_vs2 M_AL_rdexps83 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_regs_readq4_yrd.xls", append

// Without year dummies
// Math - Q1
reg timemf87_vs2 M_UL_e_pmax82q1 M_UL_e_maexpf82 A_median_math_allpqrs_fall // remember here 1 = correct guess
outreg2 using "$pathD\\time_study_regs_mathq1.xls", replace
reg timemf87_vs2 M_UL_e_pmax82q1 A_median_math_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_mathq1.xls", append
reg timemf87_vs2 M_UL_e_maexpf82 A_median_math_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_mathq1.xls", append
reg timemf87_vs2 M_AL_pmax82q1 M_AL_maexpf82 A_median_math_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_mathq1.xls", append
reg timemf87_vs2 M_AL_pmax82q1 A_median_math_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_mathq1.xls", append
reg timemf87_vs2 M_AL_maexpf82 A_median_math_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_mathq1.xls", append
// Math - Q4
reg timemas86_vs2 M_UL_e_pmax82q1 A_median_math_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_mathq4.xls", replace
reg timemas86_vs2 M_UL_e_maexps83 A_median_math_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_mathq4.xls", append
reg timemas86_vs2 M_AL_pmax82q1 A_median_math_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_mathq4.xls", append
reg timemas86_vs2 M_AL_maexps83 A_median_math_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_mathq4.xls", append
// English - Q1
reg timeef89_vs2 M_UL_e_prdx82q1 M_UL_e_rdexpf82 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", replace
reg timeef89_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", append
reg timeef89_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", append
reg timeef89_vs2 M_AL_prdx82q1 M_AL_rdexpf82 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", append
reg timeef89_vs2 M_AL_prdx82q1 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", append
reg timeef89_vs2 M_AL_prdx82q1 A_median_read_allpqrs_fall
outreg2 using "$pathD\\time_study_regs_readq1.xls", append
//English Q4
reg timees90_vs2 M_UL_e_prdx82q1 A_median_read_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_readq4.xls", replace
reg timees90_vs2 M_UL_e_rdexps83 A_median_read_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_readq4.xls", append
reg timees90_vs2 M_AL_prdx82q1 A_median_read_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_readq4.xls", append
reg timees90_vs2 M_AL_rdexps83 A_median_read_allpqrs_spr
outreg2 using "$pathD\\time_study_regs_readq4.xls", append

// With year dummies
// OverConfidence versus good or conservative predictions
// Math - Q1
reg timemf87_vs2 OM_UL_e_pmax82q1 OM_UL_e_maexpf82 A_median_math_allpqrs_fall i.(year) // remember here 1 = correct guess
outreg2 using "$pathD\\time_study_OM_mathq1_yrd.xls", replace
reg timemf87_vs2 OM_UL_e_pmax82q1 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_OM_mathq1_yrd.xls", append
reg timemf87_vs2 OM_UL_e_maexpf82 A_median_math_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_OM_mathq1_yrd.xls", append
// Math - Q4
reg timemas86_vs2 OM_UL_e_pmax82q1 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_OM_mathq4_yrd.xls", replace
reg timemas86_vs2 OM_UL_e_maexps83 A_median_math_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_OM_mathq4_yrd.xls", append
// English - Q1
reg timeef89_vs2 OM_UL_e_prdx82q1 OM_UL_e_rdexpf82 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_OM_readq1_yrd.xls", replace
reg timeef89_vs2 OM_UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_OM_readq1_yrd.xls", append
reg timeef89_vs2 OM_UL_e_prdx82q1 A_median_read_allpqrs_fall i.(year)
outreg2 using "$pathD\\time_study_OM_readq1_yrd.xls", append
//English Q4
reg timees90_vs2 OM_UL_e_prdx82q1 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_OM_readq4_yrd.xls", replace
reg timees90_vs2 OM_UL_e_rdexps83 A_median_read_allpqrs_spr i.(year)
outreg2 using "$pathD\\time_study_OM_readq4_yrd.xls", append

