set more off
global pathD "C:\Users\cmadeira\Documents\JAE R R\jae_data_codes\"

use "$pathD\\data_bss7_work.dta", clear 
/*bysort id: egen nr_pmax = count(pmax82q1_rec)
sum nr_pmax 
g miss_Mpars = (nr_pmax<r(max)-1)
g L_pmax82q1_rec = L.pmax82q1_rec
g Lmiss_Mpars = (L_pmax82q1_rec==. & miss_Mpars==1 & year!=1986 & year!=1988)
// Students - Math Q1 missing versus non-missing
bysort id: egen nr_smax = count(maexpf82_rec)
sum nr_smax 
g miss_Mstuds = (nr_smax<r(max)-1)
g L_maexpf82_rec = L.maexpf82_rec
g Lmiss_Mstuds = (L_maexpf82_rec==. & miss_Mstuds==1 & year!=1986)*/
sum nr_pmax
g miss_Mpars2 = (nr_pmax<r(max)-2)
sum nr_smax 
g miss_Mstuds2 = (nr_smax<r(max)-2)
keep if year==1982
keep id miss_Mpars miss_Mpars2 miss_Mstuds miss_Mstuds2
tab miss_Mpars 
tab miss_Mpars2 
tab miss_Mstuds 
tab miss_Mstuds2
export excel using "C:\Users\cmadeira\Documents\JAE R R\jae_data_codes\Miss_ParsStuds_ids.xls", firstrow(variables) nolabel replace

use "$pathD\\data_bss7_work.dta", clear  // Some Regressions of why expectations matter
//timemf87 (time doing homework) 0 - nothing, 10 mins 20 mins 30 mins, more than 30mins, 8 - missing
//prdstr82 (time spent reading) 0 - nothing 10 mins 20 mins 30 mins 1 hour, more than 1 hour
quietly { 
sum timemf87 timeef89 timemas86 timees90 timeos86
foreach var of varlist time* { 
g `var'_vs0=`var' if `var'<8
replace `var'_vs0=. if `var'_vs0==7
}
recode time*_vs0 (0=0) (1=10) (2=20) (3=30) (4=45)
g timePR82_vs2 = prdstr82 if prdstr82<8
recode timePR82_vs2 (0=0) (1=10) (2=20) (3=30) (4=60) (5=90) (6=.)
g timemf87_vs2 = timemf87_vs0
g timemas86_vs2 = timemas86_vs0
egen timeef89_vs2 = rowtotal(timeef89_vs0 timerf87_vs0), missing
egen timees90_vs2 = rowtotal(timerds86_vs0 timees90_vs0), missing
egen timeof87_vs2 = rowtotal(timeof87_vs0 timess94_vs0), missing
egen timeos86_vs2 = rowtotal(timeos86_vs0 timess94_vs0), missing
*drop time*_vs0
sum time*_vs2
foreach var of varlist AL_* UL_e*  { // Using Past Prediction Success (since both grades and prediction error at the end of the quarter are endogenous to study time)
g M_`var' = .
forv k=1983/1994 { 
g var00 = `var' if year<`k'
bysort id: egen var0 = mean(var00) //mean(`var')
bysort id: egen var000 = mean(`var') //mean(`var')
replace M_`var' = var0 if year==`k' //replace M_`var' = var000 if year==`k' & M_`var'==.
drop var0 var00 var000
}
}
/*rename M_UL_e_maexpf82 M0_UL_e_maexpf82  // rename M_AL_pmax82q1 M0_AL_pmax82q1
bysort id: egen M_UL_e_maexpf82 = mean(UL_e_maexpf82)  // bysort id: egen M_AL_pmax82q1 = mean(AL_pmax82q1)*/
foreach var of varlist e_* { // Good predictors and conservative ones measure
g var000 = (`var'<=0) if `var'<.
g OM_UL_`var'= .
forv k=1983/1994 { 
g var00 = var000 if year<`k'
bysort id: egen var0 = mean(var00) //mean(`var')
replace OM_UL_`var' = var0 if year==`k'
drop var0 var00 
}
drop var000
}
}
//  //

//Time spent reading stories to your child (only in 1982, 1983) 
reg timePR82_vs2 UL_e_prdx82q1 UL_e_pmax82q1 i.(year)
reg timePR82_vs2 AL_prdx82q1 AL_pmax82q1 i.(year)  //outreg2 using "$pathD\\time_reading_regs.xls", append
reg timePR82_vs2 UL_e_prdx82q1 UL_e_pmax82q1 mom_yrs_educ2 i.(year)
reg timePR82_vs2 AL_prdx82q1 AL_pmax82q1 mom_yrs_educ2 i.(year)
ologit timePR82_vs2 AL_prdx82q1 AL_pmax82q1 mom_yrs_educ2 i.(year)  //outcome values do not matter (check:  
//tab timePR82_vs2 //recode timePR82_vs2 0=0 10=1 20=2 30=3 60=4 90=5  //ologit timePR82_vs2 AL_prdx82q1 AL_pmax82q1 mom_yrs_educ2 i.(year)

// With year dummies
// Math - Q1
tab timemf87_vs2
reg timemf87_vs2 M_UL_e_pmax82q1 M_UL_e_maexpf82 A_median_math_allpqrs_fall mom_yrs_educ2 i.(year) // remember here 1 = correct guess
reg timemf87_vs2 M_AL_pmax82q1 M_AL_maexpf82 A_median_math_allpqrs_fall mom_yrs_educ2 i.(year) //outreg2 using "$pathD\\time_study_regs_mathq1_yrd.xls", replace
tab pmax82q1
tab maexpf82
tab A_pmax82q1
tab A_maexpf82
ologit timemf87_vs2 M_AL_pmax82q1 M_AL_maexpf82 A_pmax82q1 A_maexpf82 A_median_math_allpqrs_fall mom_yrs_educ2 i.(year) 
ologit timemf87_vs2 M_AL_pmax82q1 M_AL_maexpf82 A_pmax82q1 A_maexpf82 A_median_math_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
g Parent_PSuccess=-M_AL_pmax82q1 // repeat same reg, but change names of x before exporting
g Student_PSuccess=-M_AL_maexpf82
g Parent_Exp=A_pmax82q1
g Student_Exp=A_maexpf82
g Student_MedianP=A_median_math_allpqrs_fall
ologit timemf87_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", replace
ologit timemf87_vs2 M_UL_e_pmax82q1 M_UL_e_maexpf82 A_pmax82q1 A_maexpf82 A_median_math_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
replace Parent_PSuccess=M_UL_e_pmax82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=M_UL_e_maexpf82
ologit timemf87_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit.xls", replace
//   //    //
replace Parent_Exp=pmax82q1 //pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83
replace Student_Exp=maexpf82
replace Student_MedianP=median_math_allpqrs_fall //median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr
ologit timemf87_vs2 Parent_PSuccess Student_PSuccess i.(Parent_Exp Student_Exp Student_MedianP) mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit_DPred.xls", replace


// Math - Q4
tab timemas86_vs2
recode timemas86_vs2 7=.
reg timemas86_vs2 M_UL_e_pmax82q1 M_UL_e_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year)  //outreg2 using "$pathD\\time_study_regs_mathq4_yrd.xls", replace
reg timemas86_vs2 M_AL_pmax82q1 M_AL_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year)
ologit timemas86_vs2 M_AL_pmax82q1 M_AL_maexps83 A_pmax82q1 A_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
replace Parent_PSuccess=-M_AL_pmax82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=-M_AL_maexps83  
replace Parent_Exp=A_pmax82q1
replace Student_Exp=A_maexps83 
replace Student_MedianP=A_median_math_allpqrs_spr
ologit timemas86_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", append
ologit timemas86_vs2 M_AL_maexps83 A_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timemas86_vs2 Student_PSuccess Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", append
replace Parent_PSuccess=M_UL_e_pmax82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=M_UL_e_maexps83
ologit timemas86_vs2 M_UL_e_pmax82q1 M_UL_e_maexps83 A_pmax82q1 A_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timemas86_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit.xls", append
ologit timemas86_vs2 M_UL_e_maexps83 A_maexps83 A_median_math_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timemas86_vs2 Student_PSuccess Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit.xls", append
//  //  //
replace Parent_Exp=pmax82q1 //pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83
replace Student_Exp=maexps83
replace Student_MedianP=median_math_allpqrs_spr //median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr
ologit timemas86_vs2 Parent_PSuccess Student_PSuccess i.(Parent_Exp Student_Exp Student_MedianP) mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit_DPred.xls", append
ologit timemas86_vs2 Student_PSuccess i.(Student_Exp Student_MedianP) mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit_DPred.xls", append


// English - Q1
sum timeef89_vs2 timeef89_vs0 timerf87_vs0
pwcorr timeef89_vs2 timeef89_vs0 timerf87_vs0
reg timeef89_vs2 M_UL_e_prdx82q1 M_UL_e_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year)
reg timeef89_vs2 M_AL_prdx82q1 M_AL_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year)
replace Parent_PSuccess=-M_AL_prdx82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=-M_AL_rdexpf82  
replace Parent_Exp=A_prdx82q1
replace Student_Exp=A_rdexpf82
replace Student_MedianP=A_median_read_allpqrs_fall
ologit timeef89_vs2 M_AL_prdx82q1 M_AL_rdexpf82 A_prdx82q1 A_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
ologit timeef89_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", append
replace Parent_PSuccess=M_UL_e_prdx82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=M_UL_e_rdexpf82
ologit timeef89_vs2 M_UL_e_prdx82q1 M_UL_e_rdexpf82 A_prdx82q1 A_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
ologit timeef89_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit.xls", append
//  //  //
replace Parent_Exp=prdx82q1 //pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83
replace Student_Exp=rdexpf82
replace Student_MedianP=median_read_allpqrs_fall //median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr
ologit timeef89_vs2 Parent_PSuccess Student_PSuccess i.(Parent_Exp Student_Exp Student_MedianP) mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit_DPred.xls", append

*ologit timeef89_vs0 M_UL_e_prdx82q1 M_UL_e_rdexpf82 A_prdx82q1 A_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
*ologit timeef89_vs0 M_AL_prdx82q1 M_AL_rdexpf82 A_prdx82q1 A_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)
*ologit timerf87_vs0 M_AL_prdx82q1 M_AL_rdexpf82 A_prdx82q1 A_rdexpf82 A_median_read_allpqrs_fall mom_yrs_educ2 i.(year), vce(robust)

//English Q4
sum timees90_vs2 timerds86_vs0 timees90_vs0
reg timees90_vs2 M_UL_e_prdx82q1 M_UL_e_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year)
reg timees90_vs2 M_AL_prdx82q1 M_AL_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year)
replace Parent_PSuccess=-M_AL_prdx82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=-M_AL_rdexps83   
replace Parent_Exp=A_prdx82q1
replace Student_Exp=A_rdexps83
replace Student_MedianP=A_median_read_allpqrs_spr
ologit timees90_vs2 M_AL_prdx82q1 M_AL_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timees90_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", append
ologit timees90_vs2 Student_PSuccess Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_AL_ologit.xls", append
replace Parent_PSuccess=M_UL_e_prdx82q1 // repeat same reg, but change names of x before exporting
replace Student_PSuccess=M_UL_e_rdexps83   
ologit timees90_vs2 M_UL_e_prdx82q1 M_UL_e_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timees90_vs2 Parent_PSuccess Student_PSuccess Parent_Exp Student_Exp Student_MedianP mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit.xls", append
//  //  //
replace Parent_Exp=prdx82q1 //pmax82q1 prdx82q1 maexpf82 maexps83 rdexpf82 rdexps83
replace Student_Exp=rdexps83
replace Student_MedianP=median_read_allpqrs_spr //median_math_allpqrs_fall median_math_allpqrs_spr median_read_allpqrs_fall median_read_allpqrs_spr
ologit timees90_vs2 Parent_PSuccess Student_PSuccess i.(Parent_Exp Student_Exp Student_MedianP) mom_yrs_educ2 i.(year), vce(robust)
outreg2 using "$pathD\\TStudy_UL_ologit_DPred.xls", append

*ologit timees90_vs0 M_AL_prdx82q1 M_AL_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
*ologit timees90_vs0 M_UL_e_prdx82q1 M_UL_e_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
*ologit timerds86_vs0 M_AL_prdx82q1 M_AL_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
*ologit timerds86_vs0 M_UL_e_prdx82q1 M_UL_e_rdexps83 A_prdx82q1 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
/*ologit timees90_vs2 M_AL_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timees90_vs2 M_UL_e_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timees90_vs0 M_AL_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timees90_vs0 M_UL_e_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timerds86_vs0 M_AL_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)
ologit timerds86_vs0 M_UL_e_rdexps83 A_rdexps83 A_median_read_allpqrs_spr mom_yrs_educ2 i.(year), vce(robust)*/
