function [p,p2]=Multiplecondition_quantile_test_ALL2_cX(y1, y2, x, alpha)
% Function gives the p-value of the test described by Madeira (2015) for the expectations of  discrete outcomes
% This function makes the test that agents are both rational and express
% expectations as their subjective Quantile Alpha
% It tests jointly that all the agents are rational for whatever prediction
% y1=1,...,K is reported

% y1 is a [N x 1] column vector of expectations
% y2 is a [N x 1] column vector of results 
% y1 and y2 are assumed to be discrete (i.e, values = 0, 1, 2, 3,..., n belong to integer numbers)  
% X is a [N x 1] column vector of a conditioning variable with discrete values

% asymptotic matrix is used for Pr( y2=k | y1 = k)-Pr( y2=j | y1 = k) 
% p1*(1-p1)+p2*(1-p2)+2*p1*p2

% Results:
% p is the p-value for the test: Pr( y2=k | y1 = k)-max(j: Pr( y2=j | y1 = k) )


y11=y1.*NaN; y22=y11; vmin=min([y1; y2]); vmax=max([y1; y2]); xmin=min(x); xmax=max(x); ki=1;
for iv=vmin:vmax;
    for ix=xmin:xmax; ind1=logical(y1==iv & x==ix); ind2=logical(y2==iv & x==ix); ind3=sum(logical(ind1==1 & ind2==1));
        if ind3>=3; y11(ind1)=ki; y22(ind2)=ki; ki=1+ki;   
        end
    end
end
[p,p2]=Multiplecondition_quantile_test_ALL2(y11,y22, alpha);
