% This file performs the tests suggested by Madeira (2016) for expectations of categorical variables
% on the BSS dataset
% We test therefore 1) the joint hypothesis that agents are rational and express their subjective Mode
% 2) the joint hypothesis that agents are rational and express their subjective Median

clear all; close all; tic; load data_bss5;

% 1 - MultiCondition Unconditional Tests
mom_eduT=mom_yrs_educ2; ind=logical(mom_yrs_educ2<12); mom_eduT(ind)=1; ind=logical(mom_yrs_educ2==12); mom_eduT(ind)=2; ind=logical(mom_yrs_educ2>12); mom_eduT(ind)=3;

% Students % Mode and Median tests
[p_maexpf, p_maexpf_K] = Multiplecondition_mode_test_ALL2(maexpf82_rec, mark_math82q1);
[p_j_maexpf,p_j_maexpf_K] = Multiplecondition_quantile_test_ALL2(maexpf82_rec, mark_math82q1, 0.50);
%   % Parents % Mode and Median  %
[p_pmaxq1, p_pmaxq1_K] = Multiplecondition_mode_test_ALL2(pmax82q1_rec, mark_math82q1);
[p_j_pmaxq1, p_j_pmaxq1_K] = Multiplecondition_quantile_test_ALL2(pmax82q1_rec, mark_math82q1, 0.50);

% 2 - Conditional on mark of last quarter
% Students (Mode, Median)
[p_maexpf_lq, p_maexpf_lq_K] = Multiplecondition_mode_test_ALL2_cX(maexpf82_rec, mark_math82q1, mark_math82q4lag);
[p_maexpf_lq2, p_maexpf_lq2_K] = Multiplecondition_mode_test_ALL2_cX(maexpf82_rec, mark_math82q1, median_math_allpqrs_fall);
[p_j_maexpf_lq2, p_j_maexpf_lq2_K] = Multiplecondition_quantile_test_ALL2_cX(maexpf82_rec, mark_math82q1, median_math_allpqrs_fall, 0.50); %mark_math82q4lag
% Parents (Mode, Median)
[p_pmaxq1_lq, p_pmaxq1_lq_K] = Multiplecondition_mode_test_ALL2_cX(pmax82q1_rec, mark_math82q1, mark_math82q4lag);
[p_pmaxq1_lq2, p_pmaxq1_lq2_K] = Multiplecondition_mode_test_ALL2_cX(pmax82q1_rec, mark_math82q1, median_math_allpqrs_fall);
[p_j_pmaxq1_lq2, p_j_pmaxq1_lq2_K] = Multiplecondition_quantile_test_ALL2_cX(pmax82q1_rec, mark_math82q1, median_math_allpqrs_fall, 0.50);

% 3 - Education
[p_maexpf_ME, p_maexpf_ME_K] = Multiplecondition_mode_test_ALL2_cX(maexpf82_rec, mark_math82q1, mom_eduT);
[p_j_maexpf_ME, p_j_maexpf_ME_K] = Multiplecondition_quantile_test_ALL2_cX(maexpf82_rec, mark_math82q1, mom_eduT, 0.50); 
[p_pmaxq1_ME, p_pmaxq1_ME_K] = Multiplecondition_mode_test_ALL2_cX(pmax82q1_rec, mark_math82q1, mom_eduT);
[p_j_pmaxq1_ME, p_j_pmaxq1_ME_K] = Multiplecondition_quantile_test_ALL2_cX(pmax82q1_rec, mark_math82q1, mom_eduT, 0.50);

p_maexpf_ME_CX=[]; p_maexpf_ME_K_CX=[]; p_j_maexpf_ME_CX=[]; p_j_maexpf_ME_K_CX=[]; 
p_pmaxq1_ME_CX=[]; p_pmaxq1_ME_K_CX=[]; p_j_pmaxq1_ME_CX=[]; p_j_pmaxq1_ME_K_CX=[];
for j=1:3;
if j==1; ind=logical(mom_yrs_educ2<12); end 
if j==2; ind=logical(mom_yrs_educ2==12); end
if j==3; ind=logical(mom_yrs_educ2>12); end    
maexpf=maexpf82_rec(ind); mark_mathq1=mark_math82q1(ind); pmaxq1=pmax82q1_rec(ind); median_math=median_math_allpqrs_fall(ind);

[a1, a1_K] = Multiplecondition_mode_test_ALL2_cX(maexpf, mark_mathq1, median_math);
[a2, a2_K] = Multiplecondition_quantile_test_ALL2_cX(maexpf, mark_mathq1, median_math, 0.50); 
[a3, a3_K] = Multiplecondition_mode_test_ALL2_cX(pmaxq1, mark_mathq1, median_math);
[a4, a4_K] = Multiplecondition_quantile_test_ALL2_cX(pmaxq1, mark_mathq1, median_math, 0.50);

p_maexpf_ME_CX=[p_maexpf_ME_CX;a1]; p_maexpf_ME_K_CX=[p_maexpf_ME_K_CX;a1_K]; 
p_j_maexpf_ME_CX=[p_j_maexpf_ME_CX;a2]; p_j_maexpf_ME_K_CX=[p_j_maexpf_ME_K_CX; a2_K]; 
p_pmaxq1_ME_CX=[p_pmaxq1_ME_CX; a3]; p_pmaxq1_ME_K_CX=[p_pmaxq1_ME_K_CX; a3_K]; 
p_j_pmaxq1_ME_CX=[p_j_pmaxq1_ME_CX; a4]; p_j_pmaxq1_ME_K_CX=[p_j_pmaxq1_ME_K_CX; a4_K];
end

% 3 - Saving results
toc; save('Mode_Median_BSStests_ALL', 'p_*');
clear all; load('Mode_Median_BSStests_ALL'); % End of program
