% This file performs the tests suggested by Madeira (2017) for expectations of categorical variables

% 1 - Do all tests for the subsample of parents and students with no missing interviews
clear all; close all; tic; load data_bss5; load Miss_ParsStuds_IDs;
NMP=logical(repmat(miss_Mpars2,13,1)==0); NMS=logical(repmat(miss_Mstuds2,13,1)==0);
MP=logical(repmat(miss_Mpars2,13,1)==1); MS=logical(repmat(miss_Mstuds2,13,1)==1);
pmax82q1_rec=pmax82q1_rec(NMP); maexpf82_rec=maexpf82_rec(NMS);
Pmark_math82q1=mark_math82q1(NMP); Pmark_math82q4lag=mark_math82q4lag(NMP); Pmedian_math_allpqrs_fall=median_math_allpqrs_fall(NMP);
Smark_math82q1=mark_math82q1(NMS); Smark_math82q4lag=mark_math82q4lag(NMS); Smedian_math_allpqrs_fall=median_math_allpqrs_fall(NMS);
run('BSStests'); toc; save('Mode_Median_NMS', 'p_*',  'alpha_*'); 
clear all; load('Mode_Median_NMS');  

% 2 - Do all tests for the subsample of parents and students with some missing interviews
clear all; close all; tic; load data_bss5; load Miss_ParsStuds_IDs;
NMP=logical(repmat(miss_Mpars2,13,1)==0); NMS=logical(repmat(miss_Mstuds2,13,1)==0);
MP=logical(repmat(miss_Mpars2,13,1)==1); MS=logical(repmat(miss_Mstuds2,13,1)==1);
pmax82q1_rec=pmax82q1_rec(MP); maexpf82_rec=maexpf82_rec(MS);
Pmark_math82q1=mark_math82q1(MP); Pmark_math82q4lag=mark_math82q4lag(MP); Pmedian_math_allpqrs_fall=median_math_allpqrs_fall(MP);
Smark_math82q1=mark_math82q1(MS); Smark_math82q4lag=mark_math82q4lag(MS); Smedian_math_allpqrs_fall=median_math_allpqrs_fall(MS);
run('BSStests'); toc; save('Mode_Median_MS', 'p_*',  'alpha_*'); 
clear all; load('Mode_Median_MS'); 

% 3 - Do all tests using the DDS test that does not account for correlation among the test statistics
clear all; close all; tic; load data_bss5; run('BSS_DDStests'); toc; save('Mode_MedianDDS_BSS', 'p_*'); 
clear all; load('Mode_MedianDDS_BSS'); 
