% This file performs the tests suggested by Madeira (2016) for expectations of categorical variables
% on the BSS dataset
% We test therefore 1) the joint hypothesis that agents are rational and express their subjective Mode
% 2) the joint hypothesis that agents are rational and express their subjective Median

clear all; close all; tic; load data_bss5; %% math_pmemMean read_pmemMean % noup_allw_pmax (excludes 13.66% of obs) noup_allw_smax (excludes 27.46% of obs)

% 0 - Parents' and Students' expectations tests conditional on years and median of past marks
clevel = 0.05; % confidence level of test for not-rejecting rationality
nr_y=length(year)/length(math_pmemMean); warning off all; 
%{
j=1; % Test conditional on year % year by year
for j2=[1982 1983 1985 1987 1988 1989 1990]; ind=logical(year==j2);  
maexpf=maexpf82_rec(ind); mark_mathq1=mark_math82q1(ind); mark_mathq4lag=mark_math82q4lag(ind); median_math0=median_math_allpqrs_fall(ind); 
[p_maexpf_yr(:,:,j)] = Multiplecondition_mode_test(maexpf, mark_mathq1); %   % Students % Mode and Median  %
[p_joint_maexpf_yr(:,:,j)] = Multiplecondition_quantile_test(maexpf, mark_mathq1, 0.50);
[p_maexpf_Myr(:,:,j)] = Multiplecondition_mode_test_condX(maexpf, mark_mathq1, median_math0); %mark_mathq4lag median_math0
[p_joint_maexpf_Myr(:,:,j)] = Multiplecondition_quantile_test_condX(maexpf, mark_mathq1, median_math0, 0.50); %[alpha_interval_maexpf_lqr2(:,:,j)] = Interval_nonrejected_quantiles_condX(maexpf, mark_mathq1, median_math_allpqrs_fall0, clevel); % median_math_allpqrs_fall mark_math82q4lag
j=1+j;
end

j=1; % Test conditional on year % year by year
for j2=[1982 1983 1984 1985 1987 1988 1989 1990 1991 1992]; ind=logical(year==j2);     
pmaxq1=pmax82q1_rec(ind); mark_mathq1=mark_math82q1(ind); mark_mathq4lag=mark_math82q4lag(ind); median_math0=median_math_allpqrs_fall(ind); 
[p_pmaxq1_yr(:,:,j)] = Multiplecondition_mode_test(pmaxq1, mark_mathq1); %   % Parents % Mode and Median  %
[p_joint_pmaxq1_yr(:,:,j)] = Multiplecondition_quantile_test(pmaxq1, mark_mathq1, 0.50);
[p_pmaxq1_Myr(:,:,j)] = Multiplecondition_mode_test_condX(pmaxq1, mark_mathq1, median_math0); %mark_mathq4lag median_math0
[p_joint_pmaxq1_Myr(:,:,j)] = Multiplecondition_quantile_test_condX(pmaxq1, mark_mathq1, median_math0, 0.50); %[alpha_interval_pmaxq1_lqr2(:,:,j)] = Interval_nonrejected_quantiles_condX(pmaxq1, mark_mathq1, median_math_allpqrs_fall0, clevel); % median_math_allpqrs_fall mark_math82q4lag
j=1+j;
end
%}
% Test conditional on school term
for j=1:3; j2=j-1; ind=logical(school_type==j2); % by school_type
maexpf=maexpf82_rec(ind); mark_mathq1=mark_math82q1(ind); mark_mathq4lag=mark_math82q4lag(ind); median_math0=median_math_allpqrs_fall(ind); 
[p_maexpf_ST(:,:,j)] = Multiplecondition_mode_test(maexpf, mark_mathq1); %   % Students % Mode and Median  %
[p_joint_maexpf_ST(:,:,j)] = Multiplecondition_quantile_test(maexpf, mark_mathq1, 0.50);
[p_maexpf_MST(:,:,j)] = Multiplecondition_mode_test_condX(maexpf, mark_mathq1, median_math0); %mark_mathq4lag median_math0
[p_joint_maexpf_MST(:,:,j)] = Multiplecondition_quantile_test_condX(maexpf, mark_mathq1, median_math0, 0.50); %[alpha_interval_maexpf_lqr2(:,:,j)] = Interval_nonrejected_quantiles_condX(maexpf, mark_mathq1, median_math_allpqrs_fall0, clevel); % median_math_allpqrs_fall mark_math82q4lag
end

% Test conditional on school term
for j=1:3; j2=j-1; ind=logical(school_type==j2); % by school_type
pmaxq1=pmax82q1_rec(ind); mark_mathq1=mark_math82q1(ind); mark_mathq4lag=mark_math82q4lag(ind); median_math0=median_math_allpqrs_fall(ind); 
[p_pmaxq1_ST(:,:,j)] = Multiplecondition_mode_test(pmaxq1, mark_mathq1); %   % Parents % Mode and Median  %
[p_joint_pmaxq1_ST(:,:,j)] = Multiplecondition_quantile_test(pmaxq1, mark_mathq1, 0.50);
[p_pmaxq1_MST(:,:,j)] = Multiplecondition_mode_test_condX(pmaxq1, mark_mathq1, median_math0); %mark_mathq4lag median_math0
[p_joint_pmaxq1_MST(:,:,j)] = Multiplecondition_quantile_test_condX(pmaxq1, mark_mathq1, median_math0, 0.50); %[alpha_interval_pmaxq1_lqr2(:,:,j)] = Interval_nonrejected_quantiles_condX(pmaxq1, mark_mathq1, median_math_allpqrs_fall0, clevel); % median_math_allpqrs_fall mark_math82q4lag
end

% 3 - Saving results
warning on all; 
save('Mode_Median_BSStests_years', 'p_*'); %,  'alpha_*'
clear all; load('Mode_Median_BSStests_years');
toc; % End of program
